<template>
  <div class="json-renderer--level tree" :class="[root ? 'is--root' : '']">
    <JsonRendererLine
      v-for="(jsonItem, key, index) in json"
      :key="key"
      :index="index"
      :indexPath="indexPath"
      :keyName="key"
      :value="jsonItem"
    ></JsonRendererLine>
  </div>
</template>

<script>
import JsonRendererLine from "./Line.vue";

export default {
  name: "JsonRendererLevel",
  props: {
    json: null,
    root: Boolean,
    indexPath: String,
  },
  components: {
    JsonRendererLine: JsonRendererLine,
  },
};
</script>

<style lang="css">
.json-renderer--level {
  margin-left: 1.5rem;
}
.json-renderer--level .is--root {
    margin-left: 0;
  }
</style>
